Subject: ieee80211_set_encryption...

From: Johannes Berg <[email-masked]>
Date: Mon, 14 Aug 2006 10:16:53 +0200

... is a big mess.

What's with all the comments saying 'maybe with blabla hardware that can 
be done in hw but disable here now' etc? Can't we just have a 'please 
decide' callback in the driver that tells us whether this can be done in 
hw or sw?

Or how about no_tkip_wmm_hwaccel? That seems pretty weird too.

I do realize that key management in the face of wpa2 and similar is 
difficult, but this seems overly complex. Comments?

johannes